# QTextLine Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextLine()

### Constructor Properties

- prototype: The QTextLine prototype object
- Leading
- Trailing
- Edge( value )
- CursorBetweenCharacters
- CursorOnCharacter
- CursorPosition( value )

### Prototype Object Properties

- qreal ascent()
- qreal cursorToX(int cursorPos, Edge edge)
- qreal descent()
- void draw(QPainter p, QPointF point, QTextLayout_FormatRange selection)
- qreal height()
- qreal horizontalAdvance()
- bool isValid()
- qreal leading()
- bool leadingIncluded()
- int lineNumber()
- QRectF naturalTextRect()
- qreal naturalTextWidth()
- QPointF position()
- QRectF rect()
- void setLeadingIncluded(bool included)
- void setLineWidth(qreal width)
- void setNumColumns(int columns)
- void setPosition(QPointF pos)
- int textLength()
- int textStart()
- qreal width()
- qreal x()
- int xToCursor(qreal x, CursorPosition arg__2)
- qreal y()

### Instance Properties

QTextLine objects have no special properties beyond those inherited from the QTextLine prototype object.